import { Observable } from 'rxjs';
export interface MonitoringSettings {
    period: number;
}
export declare class MonitoringSettingsService {
    private subject;
    constructor();
    set settings(value: MonitoringSettings);
    get settings(): MonitoringSettings;
    get settings$(): Observable<MonitoringSettings>;
}
